Name:           FreeSOLID
Version:        2.1.1
Release:        11%{?dist}
Summary:        3D collision detection C++ library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://sourceforge.net/projects/freesolid/
Source0:        http://sourceforge.net/projects/freesolid/files/FreeSOLID/FreeSOLID-2.1.1.zip/FreeSOLID-2.1.1.zip
# https://sourceforge.net/tracker/?func=detail&aid=3484912&group_id=65180&atid=510061
Patch0:         %{name}-%{version}-src.patch
# https://sourceforge.net/tracker/?func=detail&aid=3484910&group_id=65180&atid=510061
Patch1:         %{name}-%{version}-headers.patch
# https://sourceforge.net/tracker/?func=detail&aid=3484908&group_id=65180&atid=510061
Patch2:         %{name}-%{version}-endpoint.patch
# https://sourceforge.net/tracker/?func=detail&aid=3484907&group_id=65180&atid=510061
Patch3:         %{name}-%{version}-autotools.patch
# https://sourceforge.net/tracker/?func=detail&aid=3484909&group_id=65180&atid=510061
Patch4:         %{name}-%{version}-fsf-fix.patch
# https://sourceforge.net/tracker/?func=detail&aid=3484911&group_id=65180&atid=510061
Patch5:         %{name}-%{version}-pkgconfig.patch
# https://sourceforge.net/tracker/?func=detail&aid=3509457&group_id=65180&atid=510059
Patch6:         %{name}-%{version}-configure.patch
Patch7:         %{name}-%{version}-freesolid-config.patch
Patch8:         %{name}-%{version}-Makefile.am-update.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  SDL-devel
BuildRequires:  qhull-devel

Requires(post):    info
Requires(preun):   info


%description
FreeSOLID is a library for collision detection of three-dimensional
objects undergoing rigid motion and deformation. FreeSOLID is designed
to be used in interactive 3D graphics applications.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n FreeSOLID-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
mkdir m4
rm acinclude.m4 aclocal.m4
rm ltmain.sh missing depcomp install-sh config.*
chmod 755 configure


%build
autoreconf -i
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm $( find %{buildroot} -name '*.la' ) %{buildroot}%{_infodir}/dir
rm -rf sample/*.o sample/.libs $(find sample -type f -a -executable)


%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/solid2.info %{_infodir}/dir || :

%postun -p /sbin/ldconfig

%preun devel
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/solid2.info %{_infodir}/dir || :
fi


%files
%doc README COPYING COPYING.LIB TODO
%{_libdir}/*.so.*

%files devel
%doc sample
%{_infodir}/*
%{_bindir}/freesolid-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/FreeSOLID.pc
%{_includedir}/*


%changelog
* Tue Jul 10 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-11
- update added correct freesolid.config.patch
- added Makefile.am patch
- reverted fsf-fix patch
* Mon Jul 9 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-10
- updated fsf-fix patch
* Mon Jul 9 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-9
- added multilib wrapper script free-solid-config to use pkg-config
- updated FreeSOLID pkgconfig patch
- updated spec file
* Fri Jun 22 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-8
- added configure patch
- rebuild for Fedora 17
* Wed Mar 21 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-7
- moved ldconfig to the base package
* Wed Mar 21 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-6
- changed free-sold.pc -> FreeSOLID.pc
- renamed post section to post devel for solid2.info file
- renamed prerun section to preun devel for solid2.info file
* Tue Mar 20 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-5
- changed the package name.
- Added configure patch solves incompatibilities with libtool-2.
* Tue Feb 7 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-4
- Cleaned up samples, port of devel package docs.
* Tue Feb 7 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-3
- Fixed License type.
* Mon Feb 6 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-2
- Fixed Source URL.
- Review fix: pkgconfig dep, devel package ?_isa dep, macros.
* Sun Feb 5 2012  Martin Gansser <linux4martin@gmx.de> 2.1.1-1
- Initial package
