Name:           perl-RPM-Specfile
Version:        1.51
Release:        13%{?dist}
Summary:        Perl extension for creating RPM specfiles

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/RPM-Specfile/
Source0:        http://www.cpan.org/authors/id/C/CH/CHIPT/RPM-Specfile-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(URI::Escape)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a simple module for creation of RPM Spec files. Most of the methods
in this module are the same name as the RPM Spec file element they
represent but in lower case.


%prep
%setup -q -n RPM-Specfile-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*

# This file probably shouldn't be in the upstream version.
rm $RPM_BUILD_ROOT/usr/bin/cpanflute2-old

%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/cpanflute2
%{perl_vendorlib}/RPM
%{_mandir}/man3/RPM::Specfile.3*


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.51-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.51-12
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.51-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.51-10
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.51-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.51-8
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.51-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.51-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.51-5
Rebuild for new perl

* Tue Jul 03 2007 Robin Norwood <rnorwood@redhat.com> 1.51-4
- Fix issues reported by Steven in package review.
- Untabify spec file.
- Escape macro in changelog

* Tue Mar 20 2007 Steven Pritchard <steve@kspei.com> 1.51-3
- Fix find option order.
- Use fixperms macro instead of our own chmod incantation.
- Improve description.
- Add Archive::Tar, ExtUtils::MakeMaker, and URI::Escape build deps.
- Remove redundant YAML explicit dep.
- Package README.

* Sun Dec 03 2006 Robin Norwood <rnorwood@redhat.com> - 1.51-2
- Add Requires: perl(YAML)

* Sat Dec 02 2006 Robin Norwood <rnorwood@redhat.com> - 1.51-1
- Build latest version from CPAN: 1.51

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.19-2.1
- rebuild for new perl-5.8.8

* Fri Jan  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.19-1
- 1.19 (#176721).
- Rewrite specfile using fedora-rpmdevtools' spec template, fixes #176888.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Wed Mar 30 2005 Warren Togami <wtogami@redhat.com>
- remove brp-compress

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 1.17-2
- rebuild

* Wed Mar 10 2004 Chip Turner <cturner@redhat.com> 1.16-3
- fix INSTALLDIRS to be vendor instead of default

* Fri Feb 27 2004 Chip Turner <cturner@redhat.com> 1.16-1
- update to 1.16 to fix %%_libdir in cpanflute2

* Fri Feb 27 2004 Chip Turner <cturner@redhat.com> - 1.15-7
- Specfile autogenerated.
